org.richfaces.component

## Class AbstractOutputPanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIPanel
      - - org.richfaces.component.AbstractOutputPanel

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.AjaxOutput
  Direct Known Subclasses:
    UIOutputPanel

      public abstract class AbstractOutputPanel
      extends javax.faces.component.UIPanel
      implements org.ajax4jsf.component.AjaxOutput

  The <a4j:outputPanel> component is used to group together components in to update them as a whole, rather than having to specify the components individually.

  Author:
    asmirnov@exadel.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOutputPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getDir()`
    `abstract String` | `getLang()`
    `abstract org.richfaces.component.OutputPanelLayout` | `getLayout()` HTML layout for generated markup.
    `abstract String` | `getOnclick()`
    `abstract String` | `getOndblclick()`
    `abstract String` | `getOnkeydown()`
    `abstract String` | `getOnkeypress()`
    `abstract String` | `getOnkeyup()`
    `abstract String` | `getOnmousedown()`
    `abstract String` | `getOnmousemove()`
    `abstract String` | `getOnmouseout()`
    `abstract String` | `getOnmouseover()`
    `abstract String` | `getOnmouseup()`
    `abstract String` | `getStyle()`
    `abstract String` | `getStyleClass()`
    `abstract String` | `getTitle()`
    `abstract boolean` | `isAjaxRendered()`
    `abstract boolean` | `isKeepTransient()`

    - ### Methods inherited from class javax.faces.component.UIPanel

      `getFamily`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxOutput

      `setAjaxRendered, setKeepTransient`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractOutputPanel

          public AbstractOutputPanel()

  - ### Method Detail

    - #### isAjaxRendered

          public abstract boolean isAjaxRendered()

      Specified by:
        `isAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`

    - #### isKeepTransient

          public abstract boolean isKeepTransient()

      Specified by:
        `isKeepTransient` in interface `org.ajax4jsf.component.AjaxOutput`

    - #### getLayout

          public abstract org.richfaces.component.OutputPanelLayout getLayout()

      HTML layout for generated markup. Possible values: "block" for generating an HTML <div> element, "inline" for generating an HTML <span> element, and "none" for generating no HTML element. There is a minor exception for the "none" case where a child element has the property "rendered" set to "false". In this case, we create an empty <span> element with same ID as the child element to use as a placeholder for later processing.

      Default value is "inline"

    - #### getOnclick

          public abstract String getOnclick()

    - #### getOndblclick

          public abstract String getOndblclick()

    - #### getOnkeydown

          public abstract String getOnkeydown()

    - #### getOnkeypress

          public abstract String getOnkeypress()

    - #### getOnkeyup

          public abstract String getOnkeyup()

    - #### getOnmousedown

          public abstract String getOnmousedown()

    - #### getOnmousemove

          public abstract String getOnmousemove()

    - #### getOnmouseout

          public abstract String getOnmouseout()

    - #### getOnmouseover

          public abstract String getOnmouseover()

    - #### getOnmouseup

          public abstract String getOnmouseup()

    - #### getStyle

          public abstract String getStyle()

    - #### getStyleClass

          public abstract String getStyleClass()

    - #### getTitle

          public abstract String getTitle()

    - #### getDir

          public abstract String getDir()

    - #### getLang

          public abstract String getLang()

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.